## org.apache.poi.sl.usermodel
Interface AutoShape

All Superinterfaces:
  Shape, SimpleShape

All Known Subinterfaces:
  Line, TextBox

    public interface AutoShape

extends SimpleShape

Method Summary
`TextRun` `getTextRun()`

Methods inherited from interface org.apache.poi.sl.usermodel.SimpleShape
`getFill, getHyperlink, getLineStyle, setHyperlink`

Methods inherited from interface org.apache.poi.sl.usermodel.Shape
`getAnchor, getParent, getShapeType, moveTo, setAnchor`

Method Detail

### getTextRun

    TextRun getTextRun()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.